Bug 295438 - Keyboard layout switcher stops working
Summary: Keyboard layout switcher stops working
Status: RESOLVED UPSTREAM
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Keyboard Layout (show other bugs)
Version: 5.21.3
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Andriy Rysin
URL: https://gitlab.freedesktop.org/xkeybo...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-06 20:57 UTC by Valdas
Modified: 2021-03-21 04:32 UTC (History)
22 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments
Strange context menu with additional separator (24.64 KB, image/png)
2012-03-06 20:57 UTC, Valdas
Details
"kxkbrc" from my system (195 bytes, text/plain)
2012-03-06 20:59 UTC, Valdas
Details
".xsession-errors" file from my system (7.77 KB, application/x-gzip)
2012-05-12 21:25 UTC, Valdas
Details
.xsession-errors (10.79 KB, application/octet-stream)
2013-02-16 20:21 UTC, vaniaz
Details
.xsession-errors log (73 bytes, text/plain)
2013-10-18 13:29 UTC, Michael D
Details
Attachment for comment #35 (8.12 KB, application/octet-stream)
2013-10-20 12:25 UTC, Valdas
Details
".xsessions-errors" with more info (78.11 KB, application/octet-stream)
2013-10-21 17:02 UTC, Valdas
Details
".xsessions-errors" with more info (86.84 KB, application/octet-stream)
2013-10-22 14:15 UTC, Valdas
Details
".xsessions-errors" (with enabled "kded" logging) (70.79 KB, application/octet-stream)
2013-10-26 17:00 UTC, Valdas
Details
"Xorg.0.log" from same day as ".xsession-errors" in comment #46 (17.55 KB, application/octet-stream)
2013-10-27 15:58 UTC, Valdas
Details
„.xsession-errors“ when noticed glitch (931.27 KB, text/plain)
2015-12-10 22:06 UTC, Valdas
Details
Outputs of „setxkbmap -print“ during and after glitch. (661 bytes, application/x-zip-compressed)
2015-12-10 22:08 UTC, Valdas
Details
Screenshots of keyboard layout switcher menu during and after glitch (notice additional separator during glitch). (136.00 KB, application/x-zip-compressed)
2015-12-10 22:10 UTC, Valdas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valdas 2012-03-06 20:57:12 UTC
Created attachment 69332 [details]
Strange context menu with additional separator

Linux: 3.0.0-16-generic
Kubuntu: 11.04
KDE: 4.8.00 (4.8.0

I have configured two keyboard layouts.
Sometimes keyboard layout switcher stops working: I cannot change layout by pressing keyboard shortcut, nor by left clicking on icon, nor by selecting layout from list of context menu of icon; and in list is added separator between layouts (see screenshot).

Remedy: open layout configurator change something - Apply - change back - Apply, but till next time.

I still not figured what causes this bug.

Maybe is worth to mention: in past I had bug #286302

"setxkbmap -print" when switcher doenst work:
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+inet(evdev)"     };
        xkb_geometry  { include "pc(pc105)"     };
};

"setxkbmap -print" after mentioned "remedy":
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+lt:2+inet(evdev)"        };
        xkb_geometry  { include "pc(pc101)"     };
};
Comment 1 Valdas 2012-03-06 20:59:45 UTC
Created attachment 69333 [details]
"kxkbrc" from my system
Comment 2 Valdas 2012-03-20 20:44:13 UTC
I again encounter this Bug. I checked "setxkbmap -print": again difference in "+lt:2".
Comment 3 Andriy Rysin 2012-03-21 01:58:34 UTC
It looks like something is resetting your layout configuration to default - just 'us'. It could be keyboard layout switcher but it could be some other program. And because the keyboard layout switcher sees 'lt' in your config file it shows it as a 'spare' layout.
Could you please attach our ~/.xsession-errors file (if it's too big please limit it to the day/hours around the time when you lost your 'lt' layout) and specify the time you've lost layout if you can so I can try to see if keyboard layout switcher did something funny around that time.
Comment 4 Valdas 2012-05-12 21:25:14 UTC
Created attachment 71055 [details]
".xsession-errors"  file from my system

Now my system is Kubuntu 12.04 64bit.
I thought that bug is gone, but it strikes again. I was browsing web (with Firefox) and realized that I can't switch layout. I attaching ".xsession-errors" - I immediately copied it when switcher was stuck.

Thanks for Help
Comment 5 Emil Sedgh 2012-07-31 20:15:46 UTC
I have the exact same issue.
I have this is my ~/.Xmodmap:
keycode  66 = Num_Lock NoSymbol Num_Lock
clear Lock

Not sure if its related to the issue.
Poke me on #kde-devel if you need more information.
Comment 6 Emil Sedgh 2012-12-09 14:23:19 UTC
Hi.
I investigated this issue and found the cause.
kxkbd uses '_XKB_RF_NAMES_PROP_ATOM' property to get available layouts.
However, this atom is deprecated in xorg.

xorg now stores a list of available layouts 'per each device'. 

So what does it have to do with our issue? You probably plug in a device which X detects as a new keyboard. (Some wireless mouses are recognized as keyboards as well).

When you do that, X updates _XKB_RF_NAMES_PROP_ATOM to layouts of your new keyboard, which is probably only 'us'.

There are a couple ways of fixing this issue:
1) KDE gives up on _XKB_RF_NAMES_PROP_ATOM and uses whatever X suggests now.

2) X adds compatibility to _XKB_RF_NAMES_PROP_ATOM. Please note that while _XKB_RF_NAMES_PROP_ATOM is deprecated, its not removed completely. X updates it for each new device.

I tried reading and understanding X'es code to bring back  compatibility. Did not manage to complete it, though.

Please also see:
https://bugs.freedesktop.org/show_bug.cgi?id=57701
Comment 7 Emil Sedgh 2012-12-10 16:04:30 UTC
Oh, and there's a third way of fixing this:
Whenever a new keyboard is attached, KDE applies keyboard settings again.

This is what Gnome does, according to xorg developers.
Comment 8 Andriy Rysin 2012-12-11 12:57:50 UTC
keyboard layout daemon reapplies configured layout on every keyboard plug-in event, it's been like this for a while (I think since 2010 or even longer)
Comment 9 Emil Sedgh 2012-12-12 20:10:48 UTC
Hello again.
Then, the problem is that the deamon detects the device as a mouse, but xorg detects it as a mouse AND keyboard.
(This is a bluetooth-based wireless mouse dongle. I guess some models use the same device to attach both mouse and keyboard)

Output of kded4:
emilsedgh@emilsedgh ~> kded(19928) XInputEventNotifier::getNewDeviceEventType: new pointer device, id: 15 name: A4TECH USB Device used as: 4
kded(19928) XInputEventNotifier::getNewDeviceEventType: new pointer device, id: 16 name: A4TECH USB Device used as: 4                                             
kcminit(20206)/kcontrol KCMInit::runModule: Initializing  "kcm_input" :  "kcminit_mouse"                                                                                       

/var/log/Xorg.0.log:
[174567.392] (II) config/udev: Adding input device A4TECH USB Device (/dev/input/js0)
[174567.418] (II) No input driver specified, ignoring this device.                                                                                                             
[174567.418] (II) This device may have been added with another device file.                                                                                                    
[174567.419] (II) config/udev: Adding input device A4TECH USB Device (/dev/input/event17)                                                                                      
[174567.419] (**) A4TECH USB Device: Applying InputClass "evdev pointer catchall"                                                                                              
[174567.419] (II) Using input driver 'evdev' for 'A4TECH USB Device'                                                                                                           
[174567.424] (**) A4TECH USB Device: always reports core events                                                                                                                
[174567.424] (**) evdev: A4TECH USB Device: Device: "/dev/input/event17"                                                                                                       
[174567.424] (--) evdev: A4TECH USB Device: Vendor 0x9da Product 0x54f                                                                                                         
[174567.424] (--) evdev: A4TECH USB Device: Found 20 mouse buttons                                                                                                             
[174567.424] (--) evdev: A4TECH USB Device: Found scroll wheel(s)                                                                                                              
[174567.424] (--) evdev: A4TECH USB Device: Found relative axes                                                                                                                
[174567.424] (--) evdev: A4TECH USB Device: Found x and y relative axes                                                                                                        
[174567.424] (II) evdev: A4TECH USB Device: Configuring as mouse                                                                                                               
[174567.424] (II) evdev: A4TECH USB Device: Adding scrollwheel support                                                                                                         
[174567.424] (**) evdev: A4TECH USB Device: YAxisMapping: buttons 4 and 5                                                                                                      
[174567.424] (**) evdev: A4TECH USB Device: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200                                                           
[174567.424] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.1/input/input23/event17"                                              
[174567.424] (II) XINPUT: Adding extended input device "A4TECH USB Device" (type: MOUSE, id 15)                                                                                
[174567.424] (II) evdev: A4TECH USB Device: initialized for relative axes.                                                                                                     
[174567.437] (**) A4TECH USB Device: (accel) keeping acceleration scheme 1                                                                                                     
[174567.437] (**) A4TECH USB Device: (accel) acceleration profile 0                                                                                                            
[174567.437] (**) A4TECH USB Device: (accel) acceleration factor: 2.000                                                                                                        
[174567.437] (**) A4TECH USB Device: (accel) acceleration threshold: 4                                                                                                         
[174567.437] (II) config/udev: Adding input device A4TECH USB Device (/dev/input/mouse2)                                                                                       
[174567.437] (II) No input driver specified, ignoring this device.                                                                                                             
[174567.437] (II) This device may have been added with another device file.
[174567.437] (II) config/udev: Adding input device A4TECH USB Device (/dev/input/event16)
[174567.437] (**) A4TECH USB Device: Applying InputClass "evdev keyboard catchall"
[174567.437] (II) Using input driver 'evdev' for 'A4TECH USB Device'
[174567.437] (**) A4TECH USB Device: always reports core events
[174567.437] (**) evdev: A4TECH USB Device: Device: "/dev/input/event16"
[174567.437] (--) evdev: A4TECH USB Device: Vendor 0x9da Product 0x54f
[174567.437] (--) evdev: A4TECH USB Device: Found 1 mouse buttons
[174567.437] (--) evdev: A4TECH USB Device: Found scroll wheel(s)
[174567.437] (--) evdev: A4TECH USB Device: Found relative axes
[174567.437] (--) evdev: A4TECH USB Device: Found absolute axes
[174567.437] (--) evdev: A4TECH USB Device: Found x and y absolute axes
[174567.437] (--) evdev: A4TECH USB Device: Found keys
[174567.437] (II) evdev: A4TECH USB Device: Configuring as mouse
[174567.437] (II) evdev: A4TECH USB Device: Configuring as keyboard
[174567.437] (II) evdev: A4TECH USB Device: Adding scrollwheel support
[174567.438] (**) evdev: A4TECH USB Device: YAxisMapping: buttons 4 and 5
[174567.438] (**) evdev: A4TECH USB Device: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[174567.438] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input22/event16"
[174567.438] (II) XINPUT: Adding extended input device "A4TECH USB Device" (type: KEYBOARD, id 16)
[174567.438] (**) Option "xkb_rules" "evdev"
[174567.438] (**) Option "xkb_model" "pc104"
[174567.438] (**) Option "xkb_layout" "us"
[174567.438] (II) evdev: A4TECH USB Device: initialized for relative axes.
[174567.438] (WW) evdev: A4TECH USB Device: ignoring absolute axes.
[174567.438] (**) A4TECH USB Device: (accel) keeping acceleration scheme 1
[174567.438] (**) A4TECH USB Device: (accel) acceleration profile 0
[174567.438] (**) A4TECH USB Device: (accel) acceleration factor: 2.000
[174567.438] (**) A4TECH USB Device: (accel) acceleration threshold: 4
Comment 10 Andriy Rysin 2012-12-13 00:04:09 UTC
Ahh, that's good info, thanks! As you can see when KDE receives xinput event both mouse and keyboard for this devices reported as .use == 4 and from define file:
#define IsXPointer	0
#define IsXKeyboard	1
#define IsXExtensionDevice	2
#define IsXExtensionKeyboard	3
#define IsXExtensionPointer	4
so keyboard daemon thinks it's both mice and only reapplies mouse configuration.

I am not sure if it's a bug in the xinput/driver or kde uses some API that's not reliable (seems like x.org actually knows that right type for id=16 is keyboard). I'll try to take a look at that but does not look like an easy problem so any more info is appreciated.
Comment 11 vaniaz 2013-01-20 08:55:57 UTC
There is similiar bug in kde 4.10 rc3 - after system goes to sleep, keyboard layout indicator stops working. Layouts can be switched with hotkey, but indicator won't show it and after changing window focus to another window it will switch back to default language.
Comment 12 Andriy Rysin 2013-02-02 03:29:59 UTC
(In reply to comment #11)
> There is similiar bug in kde 4.10 rc3 - after system goes to sleep, keyboard
> layout indicator stops working. Layouts can be switched with hotkey, but
> indicator won't show it and after changing window focus to another window it
> will switch back to default language.

vaniaz, could you please attach you  ~/.xsession-errors after you resume from sleep?
Comment 13 Christoph Feck 2013-02-08 23:44:59 UTC
If you can provide the information requested in comment #12, please add it.
Comment 14 vaniaz 2013-02-16 20:21:26 UTC
Created attachment 77371 [details]
.xsession-errors

Haven't experienced this bug for a lot of time, here is xsession-errors which you asked of me. Hope this helps.
Comment 15 Oleksandr Natalenko 2013-02-18 11:24:09 UTC
Confirm this bug on 4.10 in Arch Linux.
Comment 16 Andriy Rysin 2013-02-22 23:50:28 UTC
Oleksandr could you please provide your .xsession-errors right after the problem happens, thanks.
Comment 17 Oleksandr Natalenko 2013-02-23 10:37:58 UTC
Yes. I guess the following lines shows the problem:

kded(1665) X11Helper::getCurrentLayout: Current group number 1 is outside of current layout list ("us") 
kded(1665) X11Helper::getCurrentLayouts: Current group number 1 is outside of current layout list ("us") 
kded(1665) X11Helper::getCurrentLayout: Current group number 1 is outside of current layout list ("us") 
kded(1665) X11Helper::getCurrentLayout: Current group number 2 is outside of current layout list ("us") 
kded(1665) X11Helper::getCurrentLayouts: Current group number 2 is outside of current layout list ("us") 
kded(1665) X11Helper::getCurrentLayout: Current group number 2 is outside of current layout list ("us")
Comment 18 Andriy Rysin 2013-02-24 15:30:59 UTC
Thanks Oleksandr. It looks like something is resetting the layout cofiguration, which is similar to what Emil reported above. Could you please put kded daemon in debug mode (with kdebugdialog) and when this problem happens again, attach your .xsession-errors, kxkbrc and Xorg.*.log files?
Comment 19 Oleksandr Natalenko 2013-02-24 20:22:48 UTC
.xsession-errors contains this:

===
kded(1665) KeyboardConfig::load: configuring layouts true configuring options true
kded(1665) X11Helper::getGroupNames: Fetched layout groups from X server:       layouts: ("us")         variants: ("")
kded(1665) LayoutMemory::layoutMapChanged: Layout map change:  "us,ru,ua(winkeys)," --> "us,"
kded(1665) LayoutMemory::layoutMapChanged: Layout map change from external source: clearing layout memory
kded(1665) X11Helper::getGroupNames: Fetched layout groups from X server:       layouts: ("us")         variants: ("")
kded(1665) X11Helper::getGroupNames: Fetched layout groups from X server:       layouts: ("us")         variants: ("")
kded(1665) X11Helper::getGroupNames: Fetched layout groups from X server:       layouts: ("us")         variants: ("")
===

Here is my kxkbrc:

===
[Layout]
DisplayNames=,,
LayoutList=us,ru,ua(winkeys)
LayoutLoopCount=-1
Model=dell
Options=grp:rctrl_toggle,misc:typo,lv3:lwin_switch
ResetOldOptions=true
ShowFlag=true
ShowLabel=false
ShowLayoutIndicator=true
ShowSingle=true
SwitchMode=Window
Use=true
===

Xorg.0.log contains this:

===
[170739.793] (II) AIGLX: Suspending AIGLX clients for VT switch
[170740.013] (II) config/udev: removing device Laptop_Integrated_Webcam_E4HD
[170740.014] (II) evdev: Laptop_Integrated_Webcam_E4HD: Close
[170740.014] (II) UnloadModule: "evdev"
[170748.995] (II) AIGLX: Resuming AIGLX clients after VT switch
[170748.995] (II) intel(0): switch to mode 1366x768 on crtc 3 (pipe 0)
[170749.011] (II) intel(0): EDID vendor "AUO", prod id 12588
[170749.011] (II) intel(0): Printing DDC gathered Modelines:
[170749.011] (II) intel(0): Modeline "1366x768"x0.0   76.60  1366 1414 1446 1598  768 771 777 798 +hsync -vsync (47.9 kHz eP)
[170749.011] (II) intel(0): Modeline "1366x768"x0.0   51.07  1366 1414 1446 1598  768 771 777 798 +hsync -vsync (32.0 kHz e)
[170749.078] (--) synaptics: AlpsPS/2 ALPS GlidePoint: touchpad found
[170750.331] (II) config/udev: Adding input device Laptop_Integrated_Webcam_E4HD (/dev/input/event13)
[170750.331] (**) Laptop_Integrated_Webcam_E4HD: Applying InputClass "evdev keyboard catchall"
[170750.331] (II) Using input driver 'evdev' for 'Laptop_Integrated_Webcam_E4HD'
[170750.331] (**) Laptop_Integrated_Webcam_E4HD: always reports core events
[170750.331] (**) evdev: Laptop_Integrated_Webcam_E4HD: Device: "/dev/input/event13"
[170750.331] (--) evdev: Laptop_Integrated_Webcam_E4HD: Vendor 0xc45 Product 0x648b
[170750.331] (--) evdev: Laptop_Integrated_Webcam_E4HD: Found keys
[170750.332] (II) evdev: Laptop_Integrated_Webcam_E4HD: Configuring as keyboard
[170750.332] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.5/3-1.5:1.0/input/input29/event13"
[170750.332] (II) XINPUT: Adding extended input device "Laptop_Integrated_Webcam_E4HD" (type: KEYBOARD, id 12)
[170750.332] (**) Option "xkb_rules" "evdev"
[170750.332] (**) Option "xkb_model" "evdev"
[170750.332] (**) Option "xkb_layout" "us"
===
Comment 20 Oleksandr Natalenko 2013-02-24 20:39:42 UTC
Hmm, well, I guess I know how to fix the issue.

As you can see my X detects webcam as input device. I just added /etc/X11/xorg.conf.d/10-webcam.conf with the following lines:

===
Section "InputClass"
        Identifier      "Laptop_Integrated_Webcam_E4HD"
        MatchProduct    "Laptop_Integrated_Webcam_E4HD"
        Option "Ignore" "on"
EndSection
===

And the problem seems to be gone. Will test it a bit more and then report it either closed or will investigate more.

Please try my solution.
Comment 21 Andriy Rysin 2013-02-24 23:10:43 UTC
thanks for the information!, your .xsession-errors starts a bit too late, I was hoping to see the reaction of kxkb kded daemon to new device event from xinput
but from x.org log it looks that device is added and then layout is set, which means keyboard daemon can't use the event itself to fix layouts back - it's too early at that point...
I'll try to play with it a bit but I'm not sure if there's an easy solution...
Comment 22 chilankora 2013-02-25 07:38:10 UTC
Same here with Gentoo, KDE 4.10
I can only set layout via set "setxkbmap de", but startu KDE does not recognize it

.xession_erros
===
cat .xsession-errors 
which: no keychain in (/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.6.3:/usr/qt/3/bin:/opt/nvidia-cg-toolkit/bin:/usr/games/bin)
startkde: Starting up...
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
kdeinit4: malloc.c:2451: sYSMALLOc: Assertion `(old_top == (((mbinptr) (((char *) &((av)->bins[((1) - 1) * 2])) - __builtin_offsetof (struct malloc_chunk, fd)))) && old_size == 0) || ((unsigned long) (old_size) >= (unsigned long)((((__builtin_offsetof (struct malloc_chunk, fd_nextsize))+((2 * (sizeof(size_t))) - 1)) & ~((2 * (sizeof(size_t))) - 1))) && ((old_top)->size & 0x1) && ((unsigned long)old_end & pagemask) == 0)' failed.
KCrash: Attempting to start /usr/bin/kded4 from kdeinit
kded(5200): Communication problem with  "kded" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" " 

QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: name 'org.kde.kglobalaccel' had owner '' but we thought it was ':1.7'
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kwin(5211): ""fsrestore1" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore2" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore3" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore4" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore5" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore6" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore7" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore8" - conversion of "0,0,0,0" to QRect failed" 
kwin(5211): ""fsrestore9" - conversion of "0,0,0,0" to QRect failed" 
Module  "resources" is registered 
Module  "activities" is registered 
Module  "features" is registered 
These are the disabled plugins: ("activitymanager_plugin_dummy", "activitymanager_plugin_nepomuk") 
Initializing plugin: "activitymanager_plugin_slc" 
Initializing plugin: "activitymanager_plugin_globalshortcuts" 
This is the current thread id for Activities 3025602368 QThread(0x9c99dd0) 
Initializing plugin: "activitymanager_plugin_virtualdesktopswitch" 
VirtualDesktopSwitch::init 
Module  "org.kde.ActivityManager.VirtualDesktopSwitch" is registered 
Initializing plugin: "activitymanager_plugin_sqlite" 
Module  "org.kde.ActivityManager.Resources.Scoring" is registered 
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
QFileSystemWatcher: failed to add paths: /home/koksi/.kde4/share/config/activitymanager-pluginsrc
Initializing plugin: "activitymanager_plugin_activityranking" 
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusObjectPath: invalid path ""
running in thread ActivityRanking 
This is the current thread id for Activities 3000994624 QThread(0x9d8c148) 
plasma-desktop(5225)/libplasma Plasma::isPluginVersionCompatible: unversioned plugin detected, may result in instability 
plasma-desktop(5225)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "The name org.kde.kded was not provided by any .service files" 
===

kxbrc
===
cat .kde4/share/config/kxkbrc
[Layout]
DisplayNames=,
LayoutList=de,us
LayoutLoopCount=-1
Model=pc104
ResetOldOptions=false
ShowFlag=false
ShowLabel=true
ShowLayoutIndicator=true
ShowSingle=false
SwitchMode=Global
Use=true
===


Xorg.0.log
===
[ 50959.721] (II) XINPUT: Adding extended input device "ORTEK W/L Keyboard/Mouse" (type: KEYBOARD, id 13)
[ 50959.721] (**) Option "xkb_rules" "evdev"
[ 50959.721] (**) Option "xkb_model" "evdev"
[ 50959.721] (**) Option "xkb_layout" "us"
[ 50959.721] (II) evdev: ORTEK W/L Keyboard/Mouse: initialized for relative axes.
[ 50959.721] (**) ORTEK W/L Keyboard/Mouse: (accel) keeping acceleration scheme 1
[ 50959.721] (**) ORTEK W/L Keyboard/Mouse: (accel) acceleration profile 0
[ 50959.721] (**) ORTEK W/L Keyboard/Mouse: (accel) acceleration factor: 2.000
[ 50959.721] (**) ORTEK W/L Keyboard/Mouse: (accel) acceleration threshold: 4
[ 50959.722] (II) config/udev: Adding input device ORTEK W/L Keyboard/Mouse (/dev/input/mouse1)
[ 50959.722] (II) No input driver specified, ignoring this device.
[ 50959.722] (II) This device may have been added with another device file.
[ 50959.722] (II) config/udev: Adding input device G15 Extra Keys (/dev/input/event6)
[ 50959.722] (**) G15 Extra Keys: Applying InputClass "evdev keyboard catchall"
[ 50959.722] (II) Using input driver 'evdev' for 'G15 Extra Keys'
[ 50959.722] (**) G15 Extra Keys: always reports core events
[ 50959.722] (**) evdev: G15 Extra Keys: Device: "/dev/input/event6"
[ 50959.722] (--) evdev: G15 Extra Keys: Vendor 0 Product 0
[ 50959.722] (--) evdev: G15 Extra Keys: Found keys
[ 50959.722] (II) evdev: G15 Extra Keys: Configuring as keyboard
[ 50959.722] (**) Option "config_info" "udev:/sys/devices/virtual/input/input9/event6"
[ 50959.722] (II) XINPUT: Adding extended input device "G15 Extra Keys" (type: KEYBOARD, id 14)
[ 50959.722] (**) Option "xkb_rules" "evdev"
[ 50959.722] (**) Option "xkb_model" "evdev"
[ 50959.722] (**) Option "xkb_layout" "us"
===


So obviously my kded4 crashed... here is output when I try to start it manually:
Could this be an error with glibc?

===
# kded4
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
*** glibc detected *** kded4: double free or corruption (!prev): 0x08f6a3f8 ***
======= Backtrace: =========
/lib/libc.so.6(+0x72a81)[0xb7681a81]
/usr/lib/libnvidia-tls.so.313.18(+0x1da3)[0xb10f8da3]
/usr/lib/kde4/kded_ktouchpadenabler.so(+0x428c)[0xb408628c]
======= Memory map: ========
08048000-08049000 r-xp 00000000 08:02 2388314    /usr/bin/kded4
08049000-0804a000 r--p 00000000 08:02 2388314    /usr/bin/kded4
0804a000-0804b000 rw-p 00001000 08:02 2388314    /usr/bin/kded4
08d21000-08d60000 rw-p 00000000 00:00 0          [heap]
08d60000-08fff000 rw-p 00000000 00:00 0          [heap]
ae9df000-ae9fd000 r-xp 00000000 08:02 2245782    /usr/lib/libkworkspace.so.4.10.0
ae9fd000-ae9fe000 ---p 0001e000 08:02 2245782    /usr/lib/libkworkspace.so.4.10.0
ae9fe000-ae9ff000 r--p 0001e000 08:02 2245782    /usr/lib/libkworkspace.so.4.10.0
ae9ff000-aea00000 rw-p 0001f000 08:02 2245782    /usr/lib/libkworkspace.so.4.10.0
aea00000-aea21000 rw-p 00000000 00:00 0 
aea21000-aeb00000 ---p 00000000 00:00 0 
aeb10000-aeb56000 r-xp 00000000 08:02 2247705    /usr/lib/libkhotkeysprivate.so.4.10.0
aeb56000-aeb58000 r--p 00045000 08:02 2247705    /usr/lib/libkhotkeysprivate.so.4.10.0
aeb58000-aeb59000 rw-p 00047000 08:02 2247705    /usr/lib/libkhotkeysprivate.so.4.10.0
aeb8c000-aeb8d000 ---p 00000000 00:00 0 
aeb8d000-af38d000 rw-p 00000000 00:00 0          [stack:5463]
af38d000-af3b4000 r-xp 00000000 08:02 2492747    /usr/lib/libvorbis.so.0.4.4
af3b4000-af3b5000 r--p 00026000 08:02 2492747    /usr/lib/libvorbis.so.0.4.4
af3b5000-af3b6000 rw-p 00027000 08:02 2492747    /usr/lib/libvorbis.so.0.4.4
af3b6000-b1088000 r-xp 00000000 08:02 1769991    /usr/lib/libnvidia-glcore.so.313.18
b1088000-b10e5000 rwxp 01cd2000 08:02 1769991    /usr/lib/libnvidia-glcore.so.313.18
b10e5000-b10f7000 rwxp 00000000 00:00 0 
b10f7000-b10fa000 r-xp 00000000 08:02 1770004    /usr/lib/libnvidia-tls.so.313.18
b10fa000-b10fb000 rw-p 00002000 08:02 1770004    /usr/lib/libnvidia-tls.so.313.18
b10fb000-b10ff000 r-xp 00000000 08:02 1704350    /lib/libcap.so.2.17
b10ff000-b1100000 r--p 00003000 08:02 1704350    /lib/libcap.so.2.17
b1100000-b1101000 rw-p 00004000 08:02 1704350    /lib/libcap.so.2.17
b1101000-b1106000 r-xp 00000000 08:02 2507412    /usr/lib/libgdbm.so.3.0.0
b1106000-b1107000 r--p 00004000 08:02 2507412    /usr/lib/libgdbm.so.3.0.0
b1107000-b1108000 rw-p 00005000 08:02 2507412    /usr/lib/libgdbm.so.3.0.0
b1108000-b111b000 r-xp 00000000 08:02 1708750    /lib/libnsl-2.15.so
b111b000-b111c000 r--p 00012000 08:02 1708750    /lib/libnsl-2.15.so
b111c000-b111d000 rw-p 00013000 08:02 1708750    /lib/libnsl-2.15.so
b111d000-b111f000 rw-p 00000000 00:00 0 
b111f000-b1130000 r-xp 00000000 08:02 1709263    /lib/libresolv-2.15.so
b1130000-b1131000 ---p 00011000 08:02 1709263    /lib/libresolv-2.15.so
b1131000-b1132000 r--p 00011000 08:02 1709263    /lib/libresolv-2.15.so
b1132000-b1133000 rw-p 00012000 08:02 1709263    /lib/libresolv-2.15.so
b1133000-b1135000 rw-p 00000000 00:00 0 
b1135000-b1138000 r-xp 00000000 08:02 2507076    /usr/lib/libasyncns.so.0.3.1
b1138000-b1139000 r--p 00002000 08:02 2507076    /usr/lib/libasyncns.so.0.3.1
b1139000-b113a000 rw-p 00003000 08:02 2507076    /usr/lib/libasyncns.so.0.3.1
b113a000-b113f000 r-xp 00000000 08:02 2492052    /usr/lib/libogg.so.0.7.0
b113f000-b1140000 r--p 00004000 08:02 2492052    /usr/lib/libogg.so.0.7.0
b1140000-b1141000 rw-p 00005000 08:02 2492052    /usr/lib/libogg.so.0.7.0
b1141000-b12a6000 r-xp 00000000 08:02 2491239    /usr/lib/libvorbisenc.so.2.0.7
b12a6000-b12a7000 ---p 00165000 08:02 2491239    /usr/lib/libvorbisenc.so.2.0.7
b12a7000-b12b8000 r--p 00165000 08:02 2491239    /usr/lib/libvorbisenc.so.2.0.7
b12b8000-b12b9000 rw-p 00176000 08:02 2491239    /usr/lib/libvorbisenc.so.2.0.7
b12b9000-b12eb000 r-xp 00000000 08:02 2507390    /usr/lib/libFLAC.so.8.2.0
b12eb000-b12ec000 r--p 00032000 08:02 2507390    /usr/lib/libFLAC.so.8.2.0
b12ec000-b12ed000 rw-p 00033000 08:02 2507390    /usr/lib/libFLAC.so.8.2.0
b12ed000-b134f000 r-xp 00000000 08:02 2490668    /usr/lib/libsndfile.so.1.0.23
b134f000-b1351000 r--p 00061000 08:02 2490668    /usr/lib/libsndfile.so.1.0.23
b1351000-b1352000 rw-p 00063000 08:02 2490668    /usr/lib/libsndfile.so.1.0.23
b1352000-b1356000 rw-p 00000000 00:00 0 
b1356000-b135d000 r-xp 00000000 08:02 1704433    /lib/libwrap.so.0.7.6
b135d000-b135e000 r--p 00006000 08:02 1704433    /lib/libwrap.so.0.7.6
b135e000-b135f000 rw-p 00007000 08:02 1704433    /lib/libwrap.so.0.7.6
b135f000-b13bb000 r-xp 00000000 08:02 1224285    /usr/lib/pulseaudio/libpulsecommon-2.1.so
b13bb000-b13bc000 r--p 0005b000 08:02 1224285    /usr/lib/pulseaudio/libpulsecommon-2.1.so
b13bc000-b13bd000 rw-p 0005c000 08:02 1224285    /usr/lib/pulseaudio/libpulsecommon-2.1.so
b13bd000-b13c3000 r-xp 00000000 08:02 2507336    /usr/lib/libjson.so.0.0.1
b13c3000-b13c4000 r--p 00005000 08:02 2507336    /usr/lib/libjson.so.0.0.1
b13c4000-b13c5000 rw-p 00006000 08:02 2507336    /usr/lib/libjson.so.0.0.1
b13c5000-b13ca000 r-xp 00000000 08:02 2491454    /usr/lib/libffi.so.5.0.10
b13ca000-b13cb000 ---p 00005000 08:02 2491454    /usr/lib/libffi.so.5.0.10
b13cb000-b13cc000 r--p 00005000 08:02 2491454    /usr/lib/libffi.so.5.0.10
b13cc000-b13cd000 rw-p 00006000 08:02 2491454    /usr/lib/libffi.so.5.0.10
b13cd000-b1441000 r-xp 00000000 08:02 2497601    /usr/lib/liborc-0.4.so.0.16.0
b1441000-b1442000 r--p 00074000 08:02 2497601    /usr/lib/liborc-0.4.so.0.16.0
b1442000-b1446000 rw-p 00075000 08:02 2497601    /usr/lib/liborc-0.4.so.0.16.0
b1446000-b14f7000 r-xp 00000000 08:02 1769252    /usr/lib/opengl/nvidia/lib/libGL.so.313.18
b14f7000-b1517000 rwxp 000b1000 08:02 1769252    /usr/lib/opengl/nvidia/lib/libGL.so.313.18
b1517000-b1526000 rwxp 00000000 00:00 0 
b1526000-b1529000 r-xp 00000000 08:02 2507142    /usr/lib/libpulse-mainloop-glib.so.0.0.4
b1529000-b152a000 r--p 00002000 08:02 2507142    /usr/lib/libpulse-mainloop-glib.so.0.0.4
b152a000-b152b000 rw-p 00003000 08:02 2507142    /usr/lib/libpulse-mainloop-glib.so.0.0.4
b152b000-b1573000 r-xp 00000000 08:02 2507130    /usr/lib/libpulse.so.0.14.3
b1573000-b1574000 ---p 00048000 08:02 2507130    /usr/lib/libpulse.so.0.14.3
b1574000-b1575000 r--p 00048000 08:02 2507130    /usr/lib/libpulse.so.0.14.3
b1575000-b1576000 rw-p 00049000 08:02 2507130    /usr/lib/libpulse.so.0.14.3
b1576000-b15c5000 r-xp 00000000 08:02 2394279    /usr/lib/libkparts.so.4.10.0
b15c5000-b15c7000 r--p 0004f000 08:02 2394279    /usr/lib/libkparts.so.4.10.0
b15c7000-b15c8000 rw-p 00051000 08:02 2394279    /usr/lib/libkparts.so.4.10.0
b15c8000-b19cd000 r-xp 00000000 08:02 1767313    /usr/lib/qt4/libQtXmlPatterns.so.4.8.4
b19cd000-b19ed000 r--p 00404000 08:02 1767313    /usr/lib/qt4/libQtXmlPatterns.so.4.8.4
b19ed000-b19ee000 rw-p 00424000 08:02 1767313    /usr/lib/qt4/libQtXmlPatterns.so.4.8.4
b19ee000-b19ef000 rw-p 00000000 00:00 0 
b19ef000-b1a33000 r-xp 00000000 08:02 2496703    /usr/lib/libgobject-2.0.so.0.3400.3
b1a33000-b1a34000 r--p 00043000 08:02 2496703    /usr/lib/libgobject-2.0.so.0.3400.3
b1a34000-b1a35000 rw-p 00044000 08:02 2496703    /usr/lib/libgobject-2.0.so.0.3400.3
b1a35000-b1afe000 r-xp 00000000 08:02 2507091    /usr/lib/libgstreamer-0.10.so.0.30.0
b1afe000-b1b01000 r--p 000c8000 08:02 2507091    /usr/lib/libgstreamer-0.10.so.0.30.0
b1b01000-b1b02000 rw-p 000cb000 08:02 2507091    /usr/lib/libgstreamer-0.10.so.0.30.0
b1b02000-b1b03000 rw-p 00000000 00:00 0 
b1b03000-b1b5b000 r-xp 00000000 08:02 2495261    /usr/lib/libgstbase-0.10.so.0.30.0
b1b5b000-b1b5c000 r--p 00057000 08:02 2495261    /usr/lib/libgstbase-0.10.so.0.30.0
b1b5c000-b1b5d000 rw-p 00058000 08:02 2495261    /usr/lib/libgstbase-0.10.so.0.30.0
b1b5d000-b1b76000 r-xp 00000000 08:02 2492375    /usr/lib/libgstvideo-0.10.so.0.25.0
b1b76000-b1b77000 ---p 00019000 08:02 2492375    /usr/lib/libgstvideo-0.10.so.0.25.0
b1b77000-b1b78000 r--p 00019000 08:02 2492375    /usr/lib/libgstvideo-0.10.so.0.25.0
b1b78000-b1b79000 rw-p 0001a000 08:02 2492375    /usr/lib/libgstvideo-0.10.so.0.25.0
b1b79000-b1b97000 r-xp 00000000 08:02 2490773    /usr/lib/libgstpbutils-0.10.so.0.25.0
b1b97000-b1b98000 r--p 0001e000 08:02 2490773    /usr/lib/libgstpbutils-0.10.so.0.25.0
b1b98000-b1b99000 rw-p 0001f000 08:02 2490773    /usr/lib/libgstpbutils-0.10.so.0.25.0
b1b99000-b1ba7000 r-xp 00000000 08:02 2507141    /usr/lib/libgstinterfaces-0.10.so.0.25.0
b1ba7000-b1ba8000 r--p 0000d000 08:02 2507141    /usr/lib/libgstinterfaces-0.10.so.0.25.0
b1ba8000-b1ba9000 rw-p 0000e000 08:02 2507141    /usr/lib/libgstinterfaces-0.10.so.0.25.0
b1ba9000-b1bb3000 r-xp 00000000 08:02 2507946    /usr/lib/libgstapp-0.10.so.0.25.0
b1bb3000-b1bb4000 ---p 0000a000 08:02 2507946    /usr/lib/libgstapp-0.10.so.0.25.0
b1bb4000-b1bb5000 r--p 0000a000 08:02 2507946    /usr/lib/libgstapp-0.10.so.0.25.0
b1bb5000-b1bb6000 rw-p 0000b000 08:02 2507946    /usr/lib/libgstapp-0.10.so.0.25.0
b1bb6000-b1c50000 r-xp 00000000 08:02 2036843    /usr/lib/libsqlite3.so.0.8.6
b1c50000-b1c51000 ---p 0009a000 08:02 2036843    /usr/lib/libsqlite3.so.0.8.6
b1c51000-b1c52000 r--p 0009a000 08:02 2036843    /usr/lib/libsqlite3.so.0.8.6
b1c52000-b1c54000 rw-p 0009b000 08:02 2036843    /usr/lib/libsqlite3.so.0.8.6
b1c54000-b1c90000 r-xp 00000000 08:02 2394333    /usr/lib/libkcmutils.so.4.10.0
b1c90000-b1c92000 r--p 0003b000 08:02 2394333    /usr/lib/libkcmutils.so.4.10.0
b1c92000-b1c93000 rw-p 0003d000 08:02 2394333    /usr/lib/libkcmutils.so.4.10.0
b1c93000-b1d8d000 r-xp 00000000 08:02 1783257    /usr/lib/qt4/libQtOpenGL.so.4.8.4
b1d8d000-b1d8f000 r--p 000fa000 08:02 1783257    /usr/lib/qt4/libQtOpenGL.so.4.8.4
b1d8f000-b1d93000 rw-p 000fc000 08:02 1783257    /usr/lib/qt4/libQtOpenGL.so.4.8.4
b1d93000-b1d94000 rw-p 00000000 00:00 0 
b1d94000-b1dfb000 r-xp 00000000 08:02 2520158    /usr/lib/libphonon.so.4.5.0
b1dfb000-b1dfd000 r--p 00066000 08:02 2520158    /usr/lib/libphonon.so.4.5.0
b1dfd000-b1dfe000 rw-p 00068000 08:02 2520158    /usr/lib/libphonon.so.4.5.0
b1dfe000-b1f00000 r-xp 00000000 08:02 2523474    /usr/lib/qca2/libqca.so.2.0.3
b1f00000-b1f04000 r--p 00102000 08:02 2523474    /usr/lib/qca2/libqca.so.2.0.3
b1f04000-b1f06000 rw-p 00106000 08:02 2523474    /usr/lib/qca2/libqca.so.2.0.3
b1f06000-b1f7d000 r-xp 00000000 08:02 2394267    /usr/lib/libknewstuff3.so.4.10.0
b1f7d000-b1f7f000 r--p 00076000 08:02 2394267    /usr/lib/libknewstuff3.so.4.10.0
b1f7f000-b1f80000 rw-p 00078000 08:02 2394267    /usr/lib/libknewstuff3.so.4.10.0
b1f80000-b1fa2000 r-xp 00000000 08:02 2395219    /usr/lib/libkdewebkit.so.5.10.0
b1fa2000-b1fa3000 r--p 00021000 08:02 2395219    /usr/lib/libkdewebkit.so.5.10.0
b1fa3000-b1fa4000 rw-p 00022000 08:02 2395219    /usr/lib/libkdewebkit.so.5.10.0
b1fa4000-b1fb8000 r-xp 00000000 08:02 2394377    /usr/lib/libthreadweaver.so.4.10.0
b1fb8000-b1fb9000 ---p 00014000 08:02 2394377    /usr/lib/libthreadweaver.so.4.10.0
b1fb9000-b1fba000 r--p 00014000 08:02 2394377    /usr/lib/libthreadweaver.so.4.10.0
b1fba000-b1fbb000 rw-p 00015000 08:02 2394377    /usr/lib/libthreadweaver.so.4.10.0
b1fbb000-b1fc7000 r-xp 00000000 08:02 2394655    /usr/lib/libkdnssd.so.4.10.0
b1fc7000-b1fc8000 r--p 0000b000 08:02 2394655    /usr/lib/libkdnssd.so.4.10.0
b1fc8000-b1fc9000 rw-p 0000c000 08:02 2394655    /usr/lib/libkdnssd.so.4.10.0
b1fc9000-b2348000 r-xp 00000000 08:02 1795419    /usr/lib/qt4/libQtDeclarative.so.4.8.4
b2348000-b235a000 r--p 0037e000 08:02 1795419    /usr/lib/qt4/libQtDeclarative.so.4.8.4
b235a000-b235c000 rw-p 00390000 08:02 1795419    /usr/lib/qt4/libQtDeclarative.so.4.8.4
b235c000-b239a000 r-xp 00000000 08:02 1766779    /usr/lib/qt4/libQtSql.so.4.8.4
b239a000-b239b000 ---p 0003e000 08:02 1766779    /usr/lib/qt4/libQtSql.so.4.8.4
b239b000-b239c000 r--p 0003e000 08:02 1766779    /usr/lib/qt4/libQtSql.so.4.8.4
b239c000-b239d000 rw-p 0003f000 08:02 1766779    /usr/lib/qt4/libQtSql.so.4.8.4
b239d000-b2626000 r-xp 00000000 08:02 1452756    /usr/lib/qt4/libQtScript.so.4.8.4
b2626000-b2630000 r--p 00288000 08:02 1452756    /usr/lib/qt4/libQtScript.so.4.8.4
b2630000-b2631000 rw-p 00292000 08:02 1452756    /usr/lib/qt4/libQtScript.so.4.8.4
b2631000-b2641000 rw-p 00000000 00:00 0 
b2641000-b3c5f000 r-xp 00000000 08:02 1797286    /usr/lib/qt4/libQtWebKit.so.4.9.3
b3c5f000-b3d2d000 r--p 0161e000 08:02 1797286    /usr/lib/qt4/libQtWebKit.so.4.9.3
b3d2d000-b3d3a000 rw-p 016ec000 08:02 1797286    /usr/lib/qt4/libQtWebKit.so.4.9.3
b3d3a000-b3d50000 rw-p 00000000 00:00 0 
b3d50000-b406b000 r-xp 00000000 08:02 2394703    /usr/lib/libplasma.so.3.0.0
b406b000-b406c000 ---p 0031b000 08:02 2394703    /usr/lib/libplasma.so.3.0.0
b406c000-b4076000 r--p 0031b000 08:02 2394703    /usr/lib/libplasma.so.3.0.0
b4076000-b407b000 rw-p 00325000 08:02 2394703    /usr/lib/libplasma.so.3.0.0
b4082000-b4089000 r-xp 00000000 08:02 2255890    /usr/lib/kde4/kded_ktouchpadenabler.so
b4089000-b408a000 r--p 00006000 08:02 2255890    /usr/lib/kde4/kded_ktouchpadenabler.so
b408a000-b408b000 rw-p 00007000 08:02 2255890    /usr/lib/kde4/kded_ktouchpadenabler.so
b408b000-b4091000 r-xp 00000000 08:02 2247715    /usr/lib/kde4/kded_khotkeys.so
b4091000-b4092000 r--p 00005000 08:02 2247715    /usr/lib/kde4/kded_khotkeys.so
b4092000-b4093000 rw-p 00006000 08:02 2247715    /usr/lib/kde4/kded_khotkeys.so
b4093000-b4099000 rw-p 00000000 00:00 0 
b4099000-b409d000 r-xp 00000000 08:02 2250401    /usr/lib/kde4/kded_solidautoeject.so
b409d000-b409e000 r--p 00003000 08:02 2250401    /usr/lib/kde4/kded_solidautoeject.so
b409e000-b409f000 rw-p 00004000 08:02 2250401    /usr/lib/kde4/kded_solidautoeject.so
b409f000-b40a6000 r-xp 00000000 08:02 2250474    /usr/lib/kde4/kded_device_automounter.so
b40a6000-b40a7000 r--p 00006000 08:02 2250474    /usr/lib/kde4/kded_device_automounter.so
b40a7000-b40a8000 rw-p 00007000 08:02 2250474    /usr/lib/kde4/kded_device_automounter.so
b40a8000-b40ae000 rw-p 00000000 00:00 0 
b40ae000-b40b0000 r-xp 00000000 08:02 2127843    /lib/libsystemd-daemon.so.0.0.7
b40b0000-b40b1000 r--p 00002000 08:02 2127843    /lib/libsystemd-daemon.so.0.0.7
b40b1000-b40b2000 rw-p 00003000 08:02 2127843    /lib/libsystemd-daemon.so.0.0.7
b40b2000-b40c3000 r-xp 00000000 08:02 2127847    /lib/libudev.so.1.2.1
b40c3000-b40c4000 r--p 00010000 08:02 2127847    /lib/libudev.so.1.2.1
b40c4000-b40c5000 rw-p 00011000 08:02 2127847    /lib/libudev.so.1.2.1
b40c5000-b4216000 r-xp 00000000 08:02 2254166    /usr/lib/libxml2.so.2.9.0
b4216000-b421a000 r--p 00151000 08:02 2254166    /usr/lib/libxml2.so.2.9.0
b421a000-b421b000 rw-p 00155000 08:02 2254166    /usr/lib/libxml2.so.2.9.0
b421b000-b421c000 rw-p 00000000 00:00 0 
b421c000-b4257000 r-xp 00000000 08:02 1363668    /usr/lib/libstreams.so.0.7.7
b4257000-b4258000 r--p 0003b000 08:02 1363668    /usr/lib/libstreams.so.0.7.7
b4258000-b4259000 rw-p 0003c000 08:02 1363668    /usr/lib/libstreams.so.0.7.7
b4259000-b4341000 r-xp 00000000 08:02 2388275    /usr/lib/libsolid.so.4.10.0
b4341000-b4342000 ---p 000e8000 08:02 2388275    /usr/lib/libsolid.so.4.10.0
b4342000-b434c000 r--p 000e8000 08:02 2388275    /usr/lib/libsolid.so.4.10.0
b434c000-b434d000 rw-p 000f2000 08:02 2388275    /usr/lib/libsolid.so.4.10.0
b434d000-b43c6000 r-xp 00000000 08:02 1363700    /usr/lib/libstreamanalyzer.so.0.7.7
b43c6000-b43c8000 r--p 00078000 08:02 1363700    /usr/lib/libstreamanalyzer.so.0.7.7
b43c8000-b43c9000 rw-p 0007a000 08:02 1363700    /usr/lib/libstreamanalyzer.so.0.7.7
b43c9000-b4671000 r-xp 00000000 08:02 2388043    /usr/lib/libkio.so.5.10.0
b4671000-b467a000 r--p 002a7000 08:02 2388043    /usr/lib/libkio.so.5.10.0
b467a000-b467e000 rw-p 002b0000 08:02 2388043    /usr/lib/libkio.so.5.10.0
b467e000-b467f000 rw-p 00000000 00:00 0 
b4680000-b4683000 rw-p 00000000 00:00 0 
b4683000-b46af000 r-xp 00000000 08:02 2258637    /usr/lib/kde4/kded_appmenu.so
b46af000-b46b0000 ---p 0002c000 08:02 2258637    /usr/lib/kde4/kded_appmenu.so
b46b0000-b46b1000 r--p 0002c000 08:02 2258637    /usr/lib/kde4/kded_appmenu.so
b46b1000-b46b2000 rw-p 0002d000 08:02 2258637    /usr/lib/kde4/kded_appmenu.so
b46b2000-b47d9000 r--s 00000000 08:02 1179715    /var/tmp/kdecache-koksi/ksycoca4
b47d9000-b47dd000 r-xp 00000000 08:02 2394626    /usr/lib/kde4/plugins/imageformats/kimg_xview.so
b47dd000-b47de000 r--p 00003000 08:02 2394626    /usr/lib/kde4/plugins/imageformats/kimg_xview.so
b47de000-b47df000 rw-p 00004000 08:02 2394626    /usr/lib/kde4/plugins/imageformats/kimg_xview.so
b47df000-b47ef000 r-xp 00000000 08:02 2394623    /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
b47ef000-b47f0000 r--p 0000f000 08:02 2394623    /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
b47f0000-b47f1000 rw-p 00010000 08:02 2394623    /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
b47f1000-b47f5000 rw-p 00000000 00:00 0 
b47f5000-b483a000 r-xp 00000000 08:02 2490874    /usr/lib/libjasper.so.1.0.0
b483a000-b483b000 r--p 00044000 08:02 2490874    /usr/lib/libjasper.so.1.0.0
b483b000-b483e000 rw-p 00045000 08:02 2490874    /usr/lib/libjasper.so.1.0.0
b483e000-b4844000 rw-p 00000000 00:00 0 
b4844000-b4845000 r-xp 00000000 08:02 2492278    /usr/lib/libX11-xcb.so.1.0.0
b4845000-b4846000 r--p 00000000 08:02 2492278    /usr/lib/libX11-xcb.so.1.0.0
b4846000-b4847000 rw-p 00001000 08:02 2492278    /usr/lib/libX11-xcb.so.1.0.0
b4847000-b484c000 r-xp 00000000 08:02 2394620    /usr/lib/kde4/plugins/imageformats/kimg_tga.so
b484c000-b484d000 r--p 00004000 08:02 2394620    /usr/lib/kde4/plugins/imageformats/kimg_tga.so
b484d000-b484e000 rw-p 00005000 08:02 2394620    /usr/lib/kde4/plugins/imageformats/kimg_tga.so
b484e000-b4857000 r-xp 00000000 08:02 2394622    /usr/lib/kde4/plugins/imageformats/kimg_rgb.so
b4857000-b4858000 r--p 00008000 08:02 2394622    /usr/lib/kde4/plugins/imageformats/kimg_rgb.so
b4858000-b4859000 rw-p 00009000 08:02 2394622    /usr/lib/kde4/plugins/imageformats/kimg_rgb.so
b4859000-b485e000 r-xp 00000000 08:02 2394621    /usr/lib/kde4/plugins/imageformats/kimg_ras.so
b485e000-b485f000 r--p 00004000 08:02 2394621    /usr/lib/kde4/plugins/imageformats/kimg_ras.so
b485f000-b4860000 rw-p 00005000 08:02 2394621    /usr/lib/kde4/plugins/imageformats/kimg_ras.so
b4860000-b4864000 r-xp 00000000 08:02 2394625    /usr/lib/kde4/plugins/imageformats/kimg_psd.so
b4864000-b4865000 r--p 00003000 08:02 2394625    /usr/lib/kde4/plugins/imageformats/kimg_psd.soKCrash: Attempting to start /usr/bin/kded4 from kdeinit
sock_file=/home/koksi/.kde4/socket-Spastensau/kdeinit4__0
KCrash: Application 'kded4' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/koksi/.kde4/socket-Spastensau/kdeinit4__0
kded(5459): Communication problem with  "kded" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" "

===
Comment 23 Andriy Rysin 2013-02-27 03:48:06 UTC
chilankora, your backtrace is not very informative but looks like you're using propitiatory nvidia drivers so that could be the source of the problem:
somewhere between libnvidia-tls.so and kded_ktouchpadenabler.so
Comment 24 Andriy Rysin 2013-02-27 03:59:26 UTC
There seems to be some problems in how X.org treats new devices (e.g. https://bugs.freedesktop.org/show_bug.cgi?id=49950) and applies keyboard layouts. KDE has a code that supposed to reconfigure the layouts every time new keyboard device is attached (and reconfigure mouse every time new mouse is attached). This code works for me when I plug in my old USB camera - its "PWC snapshot button" is recognized as keyboard device, "us" layout is used, kded kicks in on XINPUT device change event and reconfigures layouts to again to "us,ua".

My current theory is that X.org does not handle some devices right. E.g. from Oleksandr .xsession-errors:

kded(1665) KeyboardConfig::load: configuring layouts true configuring options true kded(1665) X11Helper::getGroupNames: Fetched layout groups from X server: layouts: ("us") variants: ("") kded(1665) LayoutMemory::layoutMapChanged: Layout map change: "us,ru,ua(winkeys)," --> "us," 

the first line suggests kded has received xinput event for new device and reconfigured layouts, but then X.org reset the layouts back to "us", as kded is done at that point the right layout configuration is lost. The workaround for this problem in kded code would be quite ugly and it would be on top of existing workaround. So far the easiest solution is for the user to do what Oleksandr did.

BTW Oleksandr, I would suggest to use "us,ua" layout instead of "us,ru,ua(winkeys)" - "ua" layout has Russian keys in 3rd level so you would not need 3 layouts.
Comment 25 Andriy Rysin 2013-02-28 03:31:54 UTC
Git commit d7aee2fb65b83abe2aabc22d77da41a295d829c5 by Andriy Rysin.
Committed on 28/02/2013 at 04:30.
Pushed by rysin into branch 'KDE/4.10'.

Don't ignore web cameras when reconfiguring keyboard layouts on new device xinput events
FIXED-IN: 4.10.1

M  +6    -6    kcontrol/keyboard/layout_memory.cpp
M  +0    -1    kcontrol/keyboard/xinput_helper.cpp

http://commits.kde.org/kde-workspace/d7aee2fb65b83abe2aabc22d77da41a295d829c5
Comment 26 Oleksandr Natalenko 2013-02-28 05:48:53 UTC
Thanks for your job, guys.
Comment 27 Emil Sedgh 2013-02-28 06:32:48 UTC
Indeed. Thanks for fixing the issue Andriy. \o/
Comment 28 Michael D 2013-10-17 07:54:14 UTC
Should I be experiencing this very bug in KDE 4.11.2 (fresh install)?
Comment 29 Andriy Rysin 2013-10-17 13:25:21 UTC
Michael, theoretically this should be fixed but if you see some problems please provide the description and .xsession-errors file.
Comment 30 Michael D 2013-10-18 07:11:37 UTC
My .xsession-errors has the contents:

Script for cjkv started at run_im.
Script for default started at run_im.

I added US English and German/Swiss layouts to the "Configure layouts" section. I can adjust those settings, e.g. by moving a layout up, and then applying settings, which then allows the layouts to be switched using e.g. the widget in the system tray. Without adjusting those settings, layouts cannot be switched.

This is under Kubuntu 13.10 final.
Comment 31 Andriy Rysin 2013-10-18 13:19:30 UTC
Please attach your .xsession-errors
Comment 32 Michael D 2013-10-18 13:29:17 UTC
Created attachment 82924 [details]
.xsession-errors log
Comment 33 Andriy Rysin 2013-10-18 13:35:11 UTC
Comment on attachment 82924 [details]
.xsession-errors log

That .xsession-error log does not have information to debug the problem. The only thing it suggests is that the keyboard layouts were modified by some IM script after which keyboard layout module may not work.
If you're using IM modules though you probably don't want to rely on keyboard layout module to perform the switching. Either use IM for everything or use only keyboard layout module.
Comment 34 Michael D 2013-10-19 21:28:25 UTC
Sorry, I'm not sure what you mean. In particular, what's an IM module? I'm just a regular user with a pretty default Kubuntu/KDE configuration. I am using a bluetooth mouse and keyboard, if that matters. (I also have an external card reader attached.)
Comment 35 Valdas 2013-10-20 12:24:02 UTC
Bug strikes again (KUbuntu 13.10, KDE v4.11.2,  kernel 3.8.0-31-generic 64bit). 
Attaching ".xsession-errors.tar.gz". "setxkbmap -print" is same as in description of bug report.

 What I was doing:
- started system;
- opened Firefox (v24.0),  Kdevelop (v4.5.1), Krusader (v2.4.0-beta3), Okular (v0.17.2);
- in Krusader viewing some files;
- in Kdevel editing project (during that I successfully  switched keyboard layout more than one time).

 Suddenly switcher stops working (during some window switch between Kursader's viewer and Kdevelop, Ctrl+C and Ctrl+V in Kdevelop, Mouse Select and Mouse Middle in Kdevelop).

 Should I reopen bug?

 Any suggestions how I can collect more debug info (some "watchers", additional logging)?
Comment 36 Valdas 2013-10-20 12:25:46 UTC
Created attachment 82966 [details]
Attachment for comment #35
Comment 37 Andriy Rysin 2013-10-20 15:27:35 UTC
It looks like IM (input methods) configuration is messing up with keyboard layouts (you can tell it starts by "Script started for cjkv" line in the .xsession-errors). 
I am not using Ubuntu so I can't tell for sure, but I would check im-config package or something like that and if you're not using input methods (mostly for asian langugages) remove it and see if this problem happens again.
If it still does happen you can run kdebugdialog and check kded4 checkbox, then keyboard daemon will produce more information in .xession-errors
Comment 38 Valdas 2013-10-21 17:02:20 UTC
Created attachment 82995 [details]
".xsessions-errors" with more info

 I enabled "kded4" in "kdebugdialog".
 Now same applications same work type as in comment #35 and again after some successful layout's switches I switcher stops working. I attached the Log.
  Package "im-config" exists in my system. I will remove it, maybe that helps.
Comment 39 Michael D 2013-10-22 12:17:13 UTC
I removed the package im-config and the problems hasn't arisen since; looks like that's the culprit. Fortunately I can live without the package.

Thanks for the help Andriy.
Comment 40 Andriy Rysin 2013-10-22 13:43:28 UTC
cool, looks like we either have to detect IM tools in keyboard configuration UI and warn the user or just properly integrate IM in KDE. Sounds like a good task for GSoC 2014 :)
Comment 41 Valdas 2013-10-22 14:15:14 UTC
Created attachment 83018 [details]
".xsessions-errors" with more info

 Sadly, removing "im-config" not helps: with same environment as in comment #35 I again encounter that bug. Attached more detailed ".xsessions-errors".
Comment 42 Andriy Rysin 2013-10-22 14:52:47 UTC
Valdas, did you re-login after you uninstalled im-config (I assume im is per session so you probably don't need to reboot but you'd have to relogin as the daemon may still be running after uninstall)?
Comment 43 Valdas 2013-10-22 16:42:51 UTC
 Yes, laptop was turned off and (next morning) turned on.
 Maybe this info helps: to switch layouts I using keyboard shortcut only.
Comment 44 Andriy Rysin 2013-10-22 19:14:10 UTC
ok, that's not good, and your .xsession-errors does not have any
output from keyboard daemon :(
Could you please do this:
1) rename or remove your .xsession-errors
2) run kdebugdailog and check kded (if present) and kded4
3) log out and log in
4) hopefully after login in your .xsession-errors you'll see some
messages about keyboard layouts
4) when problem hits again, please attach your .xsession-errors file

2013/10/22 Valdas <zmogas@hotmail.com>:
> https://bugs.kde.org/show_bug.cgi?id=295438
>
> --- Comment #43 from Valdas <zmogas@hotmail.com> ---
>  Yes, laptop was turned off and (next morning) turned on.
>  Maybe this info helps: to switch layouts I using keyboard shortcut only.
>
> --
> You are receiving this mail because:
> You are the assignee for the bug.
Comment 45 Michael D 2013-10-23 07:41:52 UTC
I spoke too soon: the problem's back. Looks like it isn't im-config causing the problem. My .xsession-errors log is empty.
Comment 46 Valdas 2013-10-26 17:00:46 UTC
Created attachment 83134 [details]
".xsessions-errors" (with enabled "kded" logging)

Enabled "kded" logging in kdebugdialog and rebooted.
Again, after several successful switches switcher stops working.
Running applications: several konsoles, krusader, firefox and okular.
Comment 47 Andriy Rysin 2013-10-27 14:24:32 UTC
Thanks Valdas, I have a suspicion on why it stops working (wacom device resetting xkb map) but just to be sure could you please attach your /var/log/Xorg.0.log ?
If that's what I think it is we should be able to fix it in 4.11.3
Comment 48 Valdas 2013-10-27 15:58:57 UTC
Created attachment 83155 [details]
"Xorg.0.log" from same day as ".xsession-errors" in comment #46

 Yes, I have Wacom tablet (old). It is connected through USB hub. 
 Maybe this info helps: sometimes (caused by sag or spike in mains, I think) I get notification like "Tablet disconnected" and then "Tabled connected". Or when I replug USB-RS232 adapter in to mentioned USB hub then sometimes adapter was not recognized and "dmesg" reports like "not enough bandwidth to enumerate new USB device".
Comment 49 Andriy Rysin 2013-10-27 16:13:20 UTC
Git commit 972263936ff1accd75c126b38d6e02c1792ef996 by Andriy Rysin.
Committed on 27/10/2013 at 14:42.
Pushed by rysin into branch 'KDE/4.11'.

Reconfigure layouts even if only pointer device is connected
FIXED-IN: 4.11.3

M  +1    -0    kcontrol/keyboard/xinput_helper.cpp

http://commits.kde.org/kde-workspace/972263936ff1accd75c126b38d6e02c1792ef996
Comment 50 Andriy Rysin 2013-10-27 16:14:11 UTC
Git commit bb5af810a77529e187da33cc251ca29b2459b7c2 by Andriy Rysin.
Committed on 27/10/2013 at 14:42.
Pushed by rysin into branch 'master'.

Reconfigure layouts even if only pointer device is connected
FIXED-IN: 4.11.3

M  +1    -0    kcontrol/keyboard/xinput_helper.cpp

http://commits.kde.org/kde-workspace/bb5af810a77529e187da33cc251ca29b2459b7c2
Comment 51 oneofmymailaddresses 2014-02-08 13:32:04 UTC
Hi guys,
I'm new to this. Just wanted to mention that something similar happens with opensuse13.1+awesome wm. The setxkbmap stops working when launching nearly any programs except the terminal emulators. Whenever I removed the xinit and xorg-x11 packages, things start to function normally. This is not the case with gnome, but i had the same problem with opensuse13.1+KDE.
Comment 52 samwaters888 2015-12-09 05:21:07 UTC
Hi,  Problem persists into 2015 - but only happens occasionally.  I can fix it with a reboot, but then spend 30 minutes setting up my 6 desktops, etc.

So, is there something I can type command-line which will prevent this when I try to switch to the layout working 10 minutes prior ...

plasma-desktop(21550) LayoutsMenu::switchToLayout: switchToLayout with unknown layout "us"

I tried stopping / restarting plasma-desktop (kill all), but this did not fix it.  I can remove the layout and create a new one with the "Keyboard - KDE Control Module", and it shows up in the list.  But I get the error above if I try to switch to it, and the indicator visible in the taskbar remains on the "default" keyboard layout, which is not even listed in the layouts shown in the Control Module.

KDE Development Platform: 4.10.5 / CentOS Linux release 7.1.1503 (Core)

Again - not looking to deal with this beyond a simple command I can issue to restart whatever is broken.  Thanks Much.
Comment 53 Valdas 2015-12-09 09:04:38 UTC
I use workaround: right click on layout indicator -> settings -> change something simple -> undo change -> apply.
Comment 54 Valdas 2015-12-10 22:04:08 UTC
This bug strikes again in Plasma 5.4.3

Attaching „.xsession-errors“, also screenshots of layout menu and „setxkbmap -print“ outputs during  and after glitch.
Comment 55 Valdas 2015-12-10 22:06:15 UTC
Created attachment 95983 [details]
„.xsession-errors“ when noticed glitch
Comment 56 Valdas 2015-12-10 22:08:29 UTC
Created attachment 95984 [details]
Outputs of „setxkbmap -print“ during and after glitch.
Comment 57 Valdas 2015-12-10 22:10:40 UTC
Created attachment 95985 [details]
Screenshots of keyboard layout switcher menu during and after glitch (notice additional separator during glitch).
Comment 58 ttrovo 2015-12-13 09:46:12 UTC
I have this issue after upgrading to Kubuntu 15.10.
Comment 59 ttrovo 2016-01-05 16:03:19 UTC
Are there any plans to fix this ANNOYING bug?
A lot of people hate KDE5 because of such things.
Comment 60 Dimitris 2016-02-02 08:22:09 UTC
(In reply to Valdas from comment #56)
> Created attachment 95984 [details]
> Outputs of „setxkbmap -print“ during and after glitch.

me@it:~$ setxkbmap -print
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+gr:2+inet(evdev)"        };
        xkb_geometry  { include "pc(pc105)"     };
};
me@it:~$ setxkbmap -print
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+gr:2+inet(evdev)+group(alt_shift_toggle)+level3(ralt_switch)+terminate(ctrl_alt_bksp)"       };
        xkb_geometry  { include "pc(pc101)"     };
};
Comment 61 jacob.greenstein 2016-04-27 22:56:38 UTC
I have the same problem on Kubuntu 15.10 and Kubuntu 16.04. Actually, the problem has two parts. One is that from time to time layout switching short cut key (I use left Win key for that) and Compose key stop working; Ctrl-Alt-K still switches layouts. This can only be reset via System Preferences (any change in the layout configuration works). Sometimes on top of that the second layout becomes a "spare layout".
Comment 62 Marco 2016-07-22 13:50:32 UTC
This bug is indeed very annoying, on a daily basis. I've found a way to always reproduce:

1. Reboot and log into KDE. Now everything works well and "setxkbmap -print" gives
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+it:2+inet(evdev)+group(shifts_toggle)"   };
        xkb_geometry  { include "pc(pc101)"     };
};

2. Suspend to RAM and resume. Now the shortcut does not work, nor left clicks on the tray icon.
"setxkbmap -print" is now:
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };                                                                                                                         
        xkb_symbols   { include "pc+it+inet(evdev)"     };                                                                                                                 
        xkb_geometry  { include "pc(pc105)"     };                                                                                                                         
};

3. If I right click on the tray icon, and select US keymap, the locale changes but (1) shortcut and left click on tray icon are still not working, (2) if I right click on tray icon, I see two entries for US and one for IT. Very strange.

KDE Plasma 5.6.5
KDE Frameworks 5.23.0
Qt 5.6.1
Comment 63 Marco 2016-07-22 13:52:07 UTC
This bug is indeed very annoying, on a daily basis. I've found a way to always reproduce:

1. Reboot and log into KDE. Now everything works well and "setxkbmap -print" gives
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+it:2+inet(evdev)+group(shifts_toggle)"   };
        xkb_geometry  { include "pc(pc101)"     };
};

2. Suspend to RAM and resume. Now the shortcut does not work, nor left clicks on the tray icon.
"setxkbmap -print" is now:
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };                                                                                                                         
        xkb_symbols   { include "pc+it+inet(evdev)"     };                                                                                                                 
        xkb_geometry  { include "pc(pc105)"     };                                                                                                                         
};

3. If I right click on the tray icon, and select US keymap, the locale changes but (1) shortcut and left click on tray icon are still not working, (2) if I right click on tray icon, I see two entries for US and one for IT. Very strange. Now it is

xkb_keymap {                                                                                                                                                               
        xkb_keycodes  { include "evdev+aliases(qwerty)" };                                                                                                                 
        xkb_types     { include "complete"      };                                                                                                                         
        xkb_compat    { include "complete"      };                                                                                                                         
        xkb_symbols   { include "pc+us+us:2+inet(evdev)"        };                                                                                                         
        xkb_geometry  { include "pc(pc105)"     };                                                                                                                         
};                                                                                                                                                                         

I have:
KDE Plasma 5.6.5
KDE Frameworks 5.23.0
Qt 5.6.1

Let me know if I can do more.
Comment 64 Juha Tuomala 2016-11-02 09:38:04 UTC
Same here, my desktop sometimes loses a) layout b) selection button in system tray during idling when i close screens and leave it for night running.

I tried to switch some kdebugdialog entries to see what goes on in .xseession-errors and regardless what do I switch on and off, it keeps puking the same old debug stream it was before this problem.
Comment 65 nilsocket 2020-06-17 15:13:25 UTC
Unable to change keyboard layout.

I have added a Layout as follows:

Limit Selection by Language: English
Layout                     : Indian
Variant                    : English (with Indian Rupee)
Label                      : IN

Preview is also not working.
Thank you.
Comment 66 nilsocket 2020-06-17 15:14:42 UTC
Forgot to add System Info:

Operating System: Arch Linux
KDE Plasma Version: 5.19.1
KDE Frameworks Version: 5.71.0
Qt Version: 5.15.0
Kernel Version: 5.7.2-arch1-1
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-8550U CPU @ 1.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
Comment 67 MithK 2020-07-23 14:43:45 UTC
Same problem as nilsocket

If I insert the Indian keyboard layout in the keyboard layout configuration in systemsettings I can't switch between the different keyboard layouts, and the applet in the systray disappears.

I have added the Indian keyboard layout as follows:

Limit Selection by Language: Any language
Layout                     : Indian
Variant                    : Sanskrit (KaGaPa, Phonetic)
Label                      : in

My info system:

# inxi -MFzx --dmidecode
System:    Kernel: 5.4.48-gentoo x86_64 bits: 64 compiler: gcc v: 9.3.0 Console: tty 1 
           Distro: Gentoo Base System release 2.6 
Machine:   Type: Notebook System: LENOVO product: 24474KG v: ThinkPad W530 serial: <filter> 
           Mobo: LENOVO model: 24474KG serial: <filter> BIOS: LENOVO v: G5ETB3WW (2.73 ) rev: 2.73 
           date: 11/28/2018 
Battery:   ID-1: BAT0 charge: N/A condition: N/A/85.9 Wh model: SANYO 45N1173 status: N/A 
CPU:       Topology: Quad Core model: Intel Core i7-3630QM bits: 64 type: MT MCP arch: Ivy Bridge 
           rev: 9 L2 cache: 6144 KiB 
           flags: avx lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 38312 
           Speed: 2509 MHz min/max: 1200/3400 MHz Core speeds (MHz): 1: 3250 2: 1944 3: 3259 
           4: 1363 5: 3107 6: 1989 7: 3255 8: 1339 
Graphics:  Device-1: NVIDIA GK107GLM [Quadro K1000M] vendor: Lenovo driver: nvidia v: 450.57 
           bus ID: 01:00.0 
           Display: server: X.Org 1.20.8 driver: nvidia unloaded: modesetting 
           resolution: 1920x1080~60Hz 
           OpenGL: renderer: Quadro K1000M/PCIe/SSE2 v: 4.6.0 NVIDIA 450.57 direct render: Yes 
Audio:     Device-1: Intel 7 Series/C216 Family High Definition Audio vendor: Lenovo 
           driver: snd_hda_intel v: kernel bus ID: 00:1b.0 
           Device-2: NVIDIA GK107 HDMI Audio vendor: Lenovo driver: snd_hda_intel v: kernel 
           bus ID: 01:00.1 
Network:   Device-1: Intel 82579LM Gigabit Network vendor: Lenovo driver: e1000e v: 3.2.6-k 
           port: 7040 bus ID: 00:19.0 
           IF: eth0 state: down mac: <filter> 
           Device-2: Intel Centrino Ultimate-N 6300 driver: iwlwifi v: kernel port: 6000 
           bus ID: 03:00.0 
           IF: wlan0 state: up mac: <filter> 
Drives:    Local Storage: total: 476.94 GiB used: 395.22 GiB (82.9%) 
           ID-1: /dev/sda vendor: Samsung model: SSD 860 PRO 512GB size: 476.94 GiB 
Partition: ID-1: / size: 419.63 GiB used: 395.22 GiB (94.2%) fs: ext4 dev: /dev/sda1 
Sensors:   System Temperatures: cpu: 59.0 C mobo: 0.0 C gpu: nvidia temp: 57 C 
           Fan Speeds (RPM): cpu: 3389 
Info:      Processes: 203 Uptime: 17h 33m Memory: 31.00 GiB used: 6.02 GiB (19.4%) Init: SysVinit 
           rc: OpenRC v: 0.42.1 runlevel: default Compilers: gcc: 9.3.0 clang: 10.0.0 Shell: bash 
           v: 5.0.17 inxi: 3.0.38
Comment 68 MithK 2020-07-23 15:13:30 UTC
The problem is present in KDE Plasma 5.18.5 with KDE Frameworks 5.70.0, and in KDE Plasma 5.19.3 with KDE Frameworks 5.72.0
Comment 69 MithK 2020-07-24 18:26:28 UTC
(In reply to nilsocket from comment #66)
Fixed here: just remove line "======" from the file /usr/share/X11/xkb/symbols/in
Comment 70 MithK 2020-07-24 19:46:43 UTC
Friend fvogt @ freenode / #opensuse-kde suggested the solution at the following link:

https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/commit/c8d68304c826567f27f5a913dd38f6e045b81483
Comment 71 Andrey 2021-03-20 21:50:24 UTC
(In reply to MithK from comment #70)
> Friend fvogt @ freenode / #opensuse-kde suggested the solution at the
> following link:
> 
> https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/commit/
> c8d68304c826567f27f5a913dd38f6e045b81483

This was merged 9 months ago, should we close this bug then?